Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.frameworks
Class ForwardTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.portals.bridges.frameworks.ForwardTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, Serializable, javax.servlet.jsp.tagext.Tag

public class ForwardTag
extends javax.servlet.jsp.tagext.TagSupport

ForwardTag

Version:
  $Id: ForwardTag.java 517068 2007-03-12 01:44:37Z ate $
Author:
  David Sean Taylor
See Also:
  Serialized Form

Field Summary
`private String` | `action`
`private String` | `forward`
`private String` | `view`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ForwardTag()`

Method Summary
`int` | `doStartTag()`
`String` | `getAction()`
`String` | `getForward()`
`String` | `getView()`
`void` | `setAction(String action)`
`void` | `setForward(String forward)`
`void` | `setView(String view)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### view

    private String view

### action

    private String action

### forward

    private String forward

Constructor Detail

### ForwardTag

    public ForwardTag()

Method Detail

### doStartTag

    public int doStartTag()

### getAction

    public String getAction()

  Returns:
    Returns the action.

### setAction

    public void setAction(String action)

  Parameters:
    `action` - The action to set.

### getView

    public String getView()

  Returns:
    Returns the view.

### setView

    public void setView(String view)

  Parameters:
    `view` - The view to set.

### getForward

    public String getForward()

  Returns:
    Returns the forward.

### setForward

    public void setForward(String forward)

  Parameters:
    `forward` - The forward to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.